Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Categories

Dark Dreams of Furiae - a new module for NWN:EE! Buy now
Attention, new and old users! Please read the new rules of conduct for the forums, and we hope you enjoy your stay!

MacOS WeiDu Launcher: easy mod installation on Macs!

123457

Comments

  • Luke93Luke93 Member, Mobile Tester Posts: 1,364
    I have updated this to version 5. It adds an actual app icon (albeit a pretty uninspired one), and now the app cleans up the symlinks it creates, to further reduce clutter in your game folder.

    I get the following error:
    tddv4caqc6an.png

  • The user and all related content has been deleted.

  • The user and all related content has been deleted.

  • [Deleted User][Deleted User] Posts: 0
    edited July 2019
    The user and all related content has been deleted.

    Post edited by [Deleted User] on
  • ALIENALIEN Member Posts: 1,069
    edited July 2019
    @subtledoctor

    Choosing a game and saving user choice is best way to go. I'm aware that you might not be familiar with how 10 years of mod managers history looks like but It's how other mod managers handle it. Example for Project Infinity:
    d37x8i1vozhu.gif

    One suggestion: display currently selected game path inside interface.

    Post edited by ALIEN on
  • [Deleted User][Deleted User] Posts: 0
    edited July 2019
    The user and all related content has been deleted.

    Post edited by [Deleted User] on
  • [Deleted User][Deleted User] Posts: 0
    edited July 2019
    The user and all related content has been deleted.

    Post edited by [Deleted User] on
  • The user and all related content has been deleted.

  • ALIENALIEN Member Posts: 1,069
    edited July 2019
    @subtledoctor
    I try new version and during every launch I got error about 'user profile of xxx doesn't exist'

    I'm launching application from: /Users/a/Beamdog Library/00783

    EDIT: I fixed this by myself, removed initial content of mwl.command

    You alter the mwl.command dynamically, simply check if game path exist.

    BTW: Good job with sorting order list :smile:

    Post edited by ALIEN on
  • ALIENALIEN Member Posts: 1,069
    edited July 2019
    Bug: when you launch app and then click "Chancel" it still launch mod installation, which was selected previously and the "false.debug" file is created.

    Suggestion: --no-exit-pause prevents 'double Enter in order to close terminal window' for MacOS, please add it

    Post edited by ALIEN on
  • ALIENALIEN Member Posts: 1,069
    @subtledoctor New app version doesn't ask for permission in order to access terminal and Findler, yay! :smiley:

  • ALIENALIEN Member Posts: 1,069
    edited July 2019
    Regarding 'Download':

    direct links link schema to any Github file:
    https://raw.githubusercontent.com/subtledoctor/OS-X-Weidu-Launcher/master/Mac_Weidu_Launcher_v7.app/Contents/Resources/mod_order.txt

    wget command available on MacOS:
    wget -qO- <link> -O <GameDir>\mod_order.txt
    

    -qO- means quiet, overwrite
    -O means output path

    Good luck!

  • [Deleted User][Deleted User] Posts: 0
    edited July 2019
    The user and all related content has been deleted.

  • ALIENALIEN Member Posts: 1,069
    edited July 2019
    @subtledoctor Yep, wget is not available as default command for MacOS, sorry. The curl is (atleast on Mojave) and it can also download file, but you have to use different switches.

  • [Deleted User][Deleted User] Posts: 0
    edited October 2019
    The user and all related content has been deleted.

    Post edited by [Deleted User] on
    ALIEN
  • ALIENALIEN Member Posts: 1,069
    @subtledoctor You can add version (7.1.246) into filename, this way, old mods who will include the MWL won't overwrite the new version.

  • The user and all related content has been deleted.

  • ALIENALIEN Member Posts: 1,069
    edited July 2019
    @subtledoctor No problem, here it is another thing.
    VersionLong=$(curl --silent "https://github.com/weiduorg/weidu/releases/latest" | sed 's#.*tag/\(.*\)\".*#\1#')
    Version=${VersionLong/v/}
    Version=${Version/.*/}
    
    if ! [ -f "/usr/local/bin/weidu-$Version" ] ; then
        Name="WeiDU-Mac-$Version"
        Url="https://github.com/WeiDUorg/weidu/releases/download/$VersionLong/WeiDU-Mac-$Version.zip"
    
        wget -qO- $Url -O /tmp/$Name.zip && unzip -o -q /tmp/$Name.zip -d /tmp/ && rm /tmp/$Name.zip
    
        cp "/tmp/WeiDU-Mac/bin/amd64/weidu" "/usr/local/bin/weidu-$Version" && chmod +x "/usr/local/bin/weidu"
        cp "/tmp/WeiDU-Mac/bin/amd64/weidu" "/usr/local/bin/weidu-$Version" && chmod +x "/usr/local/bin/weidu-$Version"
    fi
    
    This code can be executed one time during application launch, before launching mod installation.
    It will:
    - check latest weidu release
    - download zip, extract to temp
    - copy MacOS weidu executable into /usr/local/bin/weidu and set executable bit
    - copy MacOS weidu executable into /usr/local/bin/weidu-$Version and set executable bit
    - so you app can launch weidu by:
    "/usr/local/bin/weidu" "$ID/$ID.tp2" --no-exit-pause --log "$ID.debug"
    

    So it will allow to:
    - remove MacOS weidu executable from application itself, it will always use latest version
    - remove MacOS weidu executable from mod archives
    - remove version from MWL filename

  • LillohXaviLillohXavi Member Posts: 8
    Hi - I really hope that someone can help me with the BGEE mod: Rogue Rebalancing.
    Everything seems to go as planned but my mod-install gives me the terminal:

    "SKIPPING: [Proper spell progression for Bards]
    * * * This component cannot be installed on this game * * *"


    I have BGEE - SoD - BGIIEE from GOG and have followed all the instructions here.
    Im on macOS MOJAVE
    In my BGEE "Ressources" folder I have:
    "Mac_Weidu_Launcher_v7" (1.6 mb)
    "weidu" file (1.1 mb)
    Folder with the Rogue Rebalancing mod named "rr" from the extraction - i haven't changed anything.

    When I open "Mac_Weidu_Launcher_v7" I get the option to chose "rr" or "ds" I don't know what "ds" is? If I remove the "rr" folder from the "Ressources" folder neither "rr" or "ds" are options from "Mac_Weidu_Launcher_v7" - I'm guessing, that the two of them both belong to Rogue Rebalancing mod? I have tried to install "rr" first and then "ds" and the other way arround. Still not fixed.

    What I get from the terminal is:

    Padawan:~ KQ$ /Applications/Baldur\'s\ Gate\ Enhanced\ Edition.app/Contents/Resources/Mac_Weidu_Launcher_v7.app/Contents/Resources/mwl.command ; exit;
    [./weidu] WeiDU version 24600

    Choose your language:
    0 [English]
    1 [Francais (by the d'Oghmatiques)]
    2 [Espanol (by Immortality, SirLancelot, Nieve and Clan DLAN)]
    3 [Deutsch (by Cronox and Leomar)]
    4 [Russian (by the Aerie.ru and arcanecoast.ru teams)]
    5 [Italian (by Andrea C. and ilot)]
    6 [Japanese (by Taro)]
    0
    Using Language [English]

    Please choose the language in which you wish to play the game.
    If you later wish to play the game in a different language you will need to edit the file weidu.conf and reinstall your mods.
    0 [Czech]
    1 [German]
    2 [English]
    3 [Spanish]
    4 [French]
    5 [hu_hu]
    6 [Italian]
    7 [Japanese]
    8 [Korean]
    9 [Polish]
    10 [Portuguese]
    11 [Russian]
    12 [Turkish]
    13 [Ukrainian]
    14 [Simplified Chinese]
    2

    Using ./lang/en_us/dialog.tlk

    Would you like to display the readme? [Y]es [N]o
    y

    SKIPPING: [Proper dual-wielding implementation for Thieves and Bards]
    * * * This component cannot be installed on this game * * *

    SKIPPING: [Thief kit revisions]
    * * * This component cannot be installed on this game * * *

    SKIPPING: [Thief High Level Ability revisions]
    * * * This component cannot be installed on this game * * *

    SKIPPING: [Proper racial adjustments for thieving skills]
    * * * This component cannot be installed on this game * * *

    SKIPPING: [Bard kit revisions]
    * * * This component cannot be installed on this game * * *

    SKIPPING: [Bard High Level Ability revisions]
    * * * This component cannot be installed on this game * * *

    SKIPPING: [Proper spell progression for Bards]
    * * * This component cannot be installed on this game * * *

    SKIPPING: [Additional equipment for Thieves and Bards]
    * * * This component cannot be installed on this game * * *

    SKIPPING: [Upgradeable Equipment]
    * * * This component cannot be installed on this game * * *

    SKIPPING: [Revised Thievery -> Use PnP thievery potions and prevent their effects from stacking]
    * * * This component cannot be installed on this game * * *

    SKIPPING: [Chosen of Cyric encounter]
    * * * This component cannot be installed on this game * * *

    SKIPPING: [Shadow Thief Improvements]
    * * * This component cannot be installed on this game * * *

    Press ENTER to exit.

    logout
    Saving session...
    ...copying shared history...
    ...saving history...truncating history files...
    ...completed.

  • ALIENALIEN Member Posts: 1,069
    edited September 2019
    @LillohXavi Everything what you done is correct. Rogue Rebalancing mod is only for BG2/BGT/BG2EE/EET so it can't be installed at BG1EE

    Well, it can, not sure what's wrong.

    Post edited by ALIEN on
  • LillohXaviLillohXavi Member Posts: 8
    @ALIEN - thank you for your swift answer. I didn't know that. My problem still exist though, because I get the same issue when trying to do it in BGIIEE?

    On a story note: I is disappointing, that it doesn't work in BGEE - Hmm how does it work then? I play a normal Blade in BG1 and when I Import him in BGIIEE i he is changed?
    I guess the mod doesn't work in SoD either?

  • Luke93Luke93 Member, Mobile Tester Posts: 1,364
    edited September 2019
    @LillohXavi

    The mod works on both BGEE and BG2EE, so you're definitely doing something wrong.... Make sure that both the rr folder and the macOS WeiDU Launcher are in the game folder (the one with the file chitin.key in it....)

  • LillohXaviLillohXavi Member Posts: 8
    Okay that is good news! I don't know what Im doing wrong - everything is in chitin.key folderg6i0108nepgo.jpg

  • Luke93Luke93 Member, Mobile Tester Posts: 1,364
    edited September 2019
    @LillohXavi

    Delete the files "weidu" and "weinstall" (macOS WeiDU Launcher should be already bundled with the latest version of WeiDU...). Then try again.....

    Moreover, if you have SoD installed, please install this mod FIRST => https://forums.beamdog.com/discussion/71305/mod-dlc-merger-merge-steam-gog-sod-dlc-or-custom-dlcs-with-the-main-game

  • LillohXaviLillohXavi Member Posts: 8
    @Luke93 - I tried to delete files as you suggested, but I got same response. I figured that maybe it was due to trying to install in wrong order. I wanted to make sure I get the merger right.

    So I reinstalled BGEE SOD & BG2EE... but much to my frustration I get the exact same response:

    * * * This component cannot be installed on this game * * *

    But the weird thing is, that even though I try to install "dlcmerger" the components in terminal reads lines relevant for the RR mod???:


    SKIPPING: [Proper dual-wielding implementation for Thieves and Bards]
    * * * This component cannot be installed on this game * * *

    SKIPPING: [Thief kit revisions]
    * * * This component cannot be installed on this game * * *

    SKIPPING: [Thief High Level Ability revisions]
    * * * This component cannot be installed on this game * * *


    Here is a picture of my folders....
    I really hope you guys can help med! Thanks for the effort so faruv4moi5lclwl.jpg


  • LillohXaviLillohXavi Member Posts: 8
    I found the solution - I had added the full folders instead of the necessary files.
    Thanks for the assistance :-)

  • thebeaglebeaglethebeaglebeagle Member Posts: 13
    Hi,
    Starting from scratch, installed BGEE. Tried to install the first mod recommended (NPC Project, listed here https://forums.beamdog.com/discussion/60317/bgee-recommended-mod-list-for-new-players)... but it failed for some reason.

    SO... I decided to try the the Mac_Weidu launcher. I dropped into the folder. When I try to run it, I get a pop-up which says:

    "cp: /Applications/Baldur's Gate - Enhanced Edition.app/Contents/Resources/weidu: Permission denied"

    Any ideas?
    qez7mvzwd63z.png

  • thebeaglebeaglethebeaglebeagle Member Posts: 13
    I attempted to install WeiDu as well, thinking maybe my mods needed it installed first? Now there's a weiDU-Mac folder in there too. I can't make it do anything yet.

  • thebeaglebeaglethebeaglebeagle Member Posts: 13
    Hello--
    I solved my problem by moving my Baldur's Gate out of the application folder. Some kind of permission issue.

    I wrote up my experience for future confused Mac users here: https://forums.beamdog.com/discussion/77940/how-to-install-mods-portraits-and-sound-sets-for-macos-bgee-purchased-from-app-store/

    Thanks for making this neat tool!
    -D

  • LookToWindwardLookToWindward Member Posts: 177
    edited April 25
    Hi,

    On the Mac there is are easy way to change theses permissions for all the Files/Folders at once. In the Finder select the outer "Resources" folder inside the App Package and then choose "Get Info" from the File Menu (Command+i) this will bring up window. At the bottom right of the window you will see a Lock Icon, click it and enter your password at the prompt. Then in the "Sharing & Permissions" section (bottom of window), click on "everyone" and change it to "Read & Write", then, click of the "Gear" Icon (bottom left of window) and select "Apply to enclosing Items". This will set RW permissions on everything inside "Resources".

    Much easier then goofing about with chmod!

    Hope this helps
    Dave

    mlnevese
Sign In or Register to comment.